require 'dispatcher'
require 'redmine'
require 'inline_editing_issues_controller_patch'
require 'inline_editing_queries_helper_patch'


Redmine::Plugin.register :inline_editing do
  
  name 'Redmine Inline Editing plugin'
  author 'Victor Schoopochenko'
  description 'This is Inline Editing plugin for Redmine'
  version '1.0.1'
  
  project_module :issue_tracking do
    permission :inline_editing, {:issues => [:show_status_list, :change_issue_status, :show_tracker_list, :change_issue_tracker, 
                                 :show_priority_list, :change_issue_priority, :show_assignee_list, :change_issue_assignee,
                                 :show_fixed_version_list, :change_issue_fixed_version, :show_due_date_field, :change_issue_due_date,
                                 :show_estimated_hours_field, :change_issue_estimated_hours, :show_spent_hours_field, :change_issue_spent_hours]}  
  end
  
end

Dispatcher.to_prepare do
  IssuesController.send( :include, InlineEditingIssuesControllerPatch)
  require_dependency 'queries_helper'
  QueriesHelper.send( :include, InlineEditingQueriesHelperPatch)
end
